Bug 869735 - CMAN: "Relax-NG validity error" on valid cluster.conf file
CMAN: "Relax-NG validity error" on valid cluster.conf file
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Fabio Massimo Di Nitto
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 12:48 EDT by Jonathan Earl Brassow
Modified: 2012-12-07 05:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-25 02:26:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2012-10-24 12:48:29 EDT
Cluster still works, but error messages are really annoying...

Steps to reproduce:
1) Create a cluster with a fencing device.  In fact, use the EXACT example given when you issue a 'ccs_tool create' command with no cluster name, as follows:
[root@bp-01 ~]# ccs_tool create
Usage: ccs_tool create [-2] <clustername>
<snip/>
eg:
  ccs_tool create MyCluster
  ccs_tool addfence apc fence_apc ipaddr=apc.domain.net user=apc password=apc
  ccs_tool addnode node1 -n 1 -f apc port=1
  ccs_tool addnode node2 -n 2 -f apc port=2
  ccs_tool addnode node3 -n 3 -f apc port=3
  ccs_tool addnode node4 -n 4 -f apc port=4
<snip/>

2) Then attempt to start the cluster:
[root@bp-01 ~]# service cman start
Starting cluster: 
   Checking if cluster has been disabled at boot...        [  OK  ]
   Checking Network Manager...                             [  OK  ]
   Global setup...                                         [  OK  ]
   Loading kernel modules...                               [  OK  ]
   Mounting configfs...                                    [  OK  ]
   Starting cman... Relax-NG validity error : Extra element fencedevices in interleave
tempfile:33: element fencedevices: Relax-NG validity error : Element cluster failed to validate content
Configuration fails to validate
                                                           [  OK  ]
   Waiting for quorum...                                   [  OK  ]
   Starting fenced...                                      [  OK  ]
   Starting dlm_controld...                                [  OK  ]
   Starting gfs_controld...                                [  OK  ]
   Unfencing self...                                       [  OK  ]
   Joining fence domain...                                 [  OK  ]
Comment 1 Fabio Massimo Di Nitto 2012-10-24 12:50:51 EDT
Can you please attach generated cluster.conf so we can identify what goes wrong?
Comment 4 Fabio Massimo Di Nitto 2012-10-25 02:26:24 EDT
  ccs_tool addfence apc fence_apc ipaddr=apc.domain.net user=apc password=apc

is incorrect.

fence_apc does not recognize user/password as options. They should be login/passwd and the configuration will validate.

I left an example on bp-01:/root/cluster.conf.test:

[root@bp-01 ~]# ccs_config_validate -l cluster.conf.test 
Configuration validates

Note You need to log in before you can comment on or make changes to this bug.